﻿using System;

namespace AverageCalculator
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Average Calculator");
            Console.WriteLine("Enter numbers to calculate the average. Enter a non-numeric value to calculate the result.");

            double sum = 0;
            int count = 0;

            while (true)
            {
                Console.Write("Enter a number: ");
                string input = Console.ReadLine();

                if (!double.TryParse(input, out double number))
                    break;

                sum += number;
                count++;
            }

            if (count > 0)
            {
                double average = sum / count;
                Console.WriteLine($"The average of the entered numbers is: {average}");
            }
            else
            {
                Console.WriteLine("No valid numbers entered.");
            }

            Console.ReadKey();
        }
    }
}
